Subject: Re: [INDEP] Re: comments on draft-klensin-independent-05.txt

From: Bob Braden <[email-masked]>
Date: Wed, 24 Jan 2007 11:26:34 -0800 (PST)

*> 
  *> Bob,
  *> 
  *> Maybe there is a middle ground here.  Maybe.
  *> 
  *> Even before you were submitting everything to the IESG before
  *> internal review, the rule (which I think is still in 2026, but I
  *> may have lost track of sequencing) was that the RFC Editor would
  *> decide what documents needed to be reviewed by the IESG.  After
  *> a few episodes in which the IESG decided, post-publication, that
  *> they would have preferred to see some documents that they
  *> didn't, things shifted to "everything goes to the IESG".
  *> 
  *> Perhaps the middle ground would be to combine that original idea
  *> with Jari's suggestion and the current procedure, leaving us
  *> with:
  *> 
  *> 	* When a document comes in, the RFC Editor performs a
  *> 	preliminary review and makes a determination as to
  *> 	whether it seems likely that the IESG will have strong
  *> 	opinions on the document.   
  *> 	
  *> 	* If "yes", then the document goes to the IESG, both as
  *> 	a 3932 review and in the hope of eliciting comments from
  *> 	the IESG (or ADs as individuals) that will make the
  *> 	review and editing process more efficient.
  *> 	
  *> 	* If no, then the sequence outlined in the I-D is
  *> 	followed, i.e., RFC Editor review and at least some
  *> 	editing first, then 3932 review by the IESG.
  *> 
  *> Or even better, the RFC Editor decides when, in the document
  *> processing cycle, to initiate the RFC 3932 review: before the Ed
  *> Board sees it, in the middle of Ed Board review if someone notes
  *> that there is a relevant active WG that would probably need to
  *> be involved, before or after [semi-]final editing, etc.
  *> 

This might work; worth some further careful thought.

  *> That might be more efficient from everyone's standpoint than
  *> requiring either a "early" or "late" IESG review for every case.
  *> And, of course, earlier rejection of documents that aren't going
  *> anywhere free up resources for faster processing and editing of
  *> documents that will be published.
  *> 
  *> With regard to the "independent" I-D, and noting that I'm
  *> writing as an individual, not as Editor, it seems to me that
  *> this dialog suggests that we should be making the document less
  *> specific, rather than more specific, about steps to be followed
  *> and the order in which they are applied.  The right way to

Yes, that seems to be the implication.  The doc should there MUST be
a 3932 review, leaving it up to the RFC Editor as to when in the process
it happens.  That seems to cover all cases.

  *> resolve these issues, IMnvHO, is periodic discussion between the
  *> RFC Editor and the IESG about whether the "what gets sent early"
  *> bar is being set too high or too low and regular recalibration
  *> of that filter.    All we do by overspecifying that sort of
  *> situation is to tie people's hands and prevent good things from
  *> happening smoothly and efficiently.
  *> 
  *>      john
  *> 

Sure, we have been fine-tuning this stuff since 1999, and I am
sure we are not done yet!

Bob

_______________________________________________
INDEPENDENT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/independent

---

From: John C Klensin <[email-masked]>
Date: Wed, 24 Jan 2007 14:37:46 -0500

--On Wednesday, 24 January, 2007 11:26 -0800 Bob Braden
<[email-masked]> wrote:

>...
>   *> writing as an individual, not as Editor, it seems to me
> that   *> this dialog suggests that we should be making the
> document less   *> specific, rather than more specific, about
> steps to be followed   *> and the order in which they are
> applied.  The right way to
> 
> Yes, that seems to be the implication.  The doc should there
> MUST be a 3932 review, leaving it up to the RFC Editor as to
> when in the process it happens.  That seems to cover all cases.

One additional tuning suggestion.   If we are going to move
toward posting a notice that a document has gone into RFC Editor
review as an independent submission somewhere, I think we should
allow the IESG to notify the RFC Editor that _they_ are
initiating that review as well.  If they never take advantage of
it, nothing is lost.  But, again in the interest of efficiency
and flexibility, if an AD happens to notice a document headed
down the "independent" path that seems problematic, in the
spirit of this exchange I don't see any reason to prevent the
IESG from initiating the review if they think that is
appropriate.

     john